Create Payment Request

Body Params
string
required
≤ 32

Name of the agent performing the VT login on behalf of the customer.

string
required
length ≤ 50

Merchant API client account identifier.

string
required
length ≤ 32

Identifier of your application (website).

string
required
length ≤ 3

API version.

integer
required

Request time (unix timestamp, seconds).

string
required
length ≤ 10

Base Currency: The user's account currency on the merchant site.

integer
≤ 20

Customer's withdrawable balance in cents. Can be used for automatic amount validation during the withdrawal request submission (send null to bypass the validation).

string
length ≤ 256

URL to which the pre-deposit validation will be sent.

string
enum
required
length ≤ 32

Action to be taken within the cashier. Allowed values are:

  • authorization for authorization (hold) for the following capture.
  • payment for payment transaction.
  • withdrawal for withdrawal request.
Allowed:
customer_data
object

HASH value of customer's identity.

Note: Either customer_token or customer_data must be provided. If both are missing, the request will trigger a validation error.

string
length ≤ 32

HASH value of customer's identity.

Note: Either customer_token or customer_data must be provided. If both are missing, the request will trigger a validation error.

string
length ≤ 50

Payment method.

The payment_method parameter allows for overriding the specific gateway parameter, when utilizing features such as Cascading (for sale) or WD Routing Rules (for payout), for payment methods that support these options.

If both parameters gateway and payment_method received, the gateway value will be selected for the processing.

string
length ≤ 32

Gateway doing the processing.

integer

Transaction amount in cents.

Note: For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.

string
required
length ≤ 50

Unique customer id in your system.

Note: Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.

string
enum
required
length ≤ 5

User locale, specified as a BCP 47 Language Tag (e.g., 'en-GB'). The first component is the ISO 639-1 language code, and the second is the ISO 3166-1 country code.

Note: Contact [email protected] to add new locale if not available in the list.

string
required
length ≤ 50

Transaction or session identifier in your system.

string
required
length ≤ 256

URL to which the deposit status notification will be sent.

string
required
length ≤ 256

User will be redirected to a specified URL(relevant for cashier login, virtual terminal, 3D Secure and E-Wallet login redirect).

string
length ≤ 256

Your custom field to tag the transaction with some necessary information.

string
length ≤ 256

Your custom field to tag the transaction with some necessary information.

string
length ≤ 256

Your custom field to tag the transaction with some necessary information.

Headers
string
required

Authentication HTTP header of your outgoing request to the API. Below request parameters should be used for creating signature in request header.

  • merchant_id
  • application_key
  • timestamp
  • intent
  • cid
  • order_id
  • agent_name
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json